using Elwig.Helpers;
using System.Reflection;
using Microsoft.Data.Sqlite;

namespace Tests.UnitTests.ServiceTests {
    [SetUpFixture]
    public class Setup {

        private SqliteConnection? Connection;

        [OneTimeSetUp]
        public async Task SetupDatabase() {
            Connection = await AppDbContext.ConnectAsync();
            await Connection.ExecuteEmbeddedScript(Assembly.GetExecutingAssembly(), "Tests.Resources.Sql.ServiceInsert.sql");
        }

        [OneTimeTearDown]
        public async Task TeardownDatabase() {
            if (Connection == null) return;
            await Connection.ExecuteEmbeddedScript(Assembly.GetExecutingAssembly(), "Tests.Resources.Sql.ServiceDelete.sql");
            await Connection.DisposeAsync();
            Connection = null;
        }
    }
}
